Method: projects.locations.workstationClusters.workstationConfigs.workstations.pushCredentials

Pushes credentials to a running workstation on behalf of a user. Once complete, supported credential types (applicationDefaultCredentials) are made available to processes running in the user container.

HTTP request

POST https://workstations.googleapis.com/v1beta/{workstation=projects/*/locations/*/workstationClusters/*/workstationConfigs/*/workstations/*}:pushCredentials

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
workstation

string

Required. Name of the workstation for which the credentials should be pushed.

Request body

The request body contains data with the following structure:

JSON representation
{
  "applicationDefaultCredentials": {
    object (OAuthToken)
  }
}
Fields
applicationDefaultCredentials

object (OAuthToken)

Optional. Credentials used by Cloud Client Libraries, Google API Client Libraries, and other tooling within the user conainer: https://cloud.google.com/docs/authentication/application-default-credentials

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

OAuthToken

OAuth token.

JSON representation
{
  "email": string,
  "scopes": string,
  "accessToken": string,
  "expireTime": string
}
Fields
email

string

Optional. The email address encapsulated in the OAuth token.

scopes

string

Optional. The scopes encapsulated in the OAuth token. See https://developers.google.com/identity/protocols/oauth2/scopes for more information.

accessToken

string

Required. The OAuth token.

expireTime

string (Timestamp format)

Optional. The time the OAuth access token will expire. This should be the time the access token was generated plus the expires_in offset returned from the Access Token Response.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".